//---------------------------------------------------------------------------

#ifndef ListViewTextH
#define ListViewTextH
//---------------------------------------------------------------------------
#include "ListViewBase.h"

#define LP_ITEM_OVER		RGB(67, 73, 80)
#define LP_ITEM_SELECTED	RGB(0, 0, 0)
#define LP_ITEM_DEF			RGB(39, 42, 47)

#define FontClolor  		TColor(0xBDAA9C)

#define CELL_HEIGHT         18
//---------------------------------------------------------------------------
class TListViewText: public TListViewBase
{
private:

	virtual int  __fastcall DoCellHgt(TTableView *Sender, int iCellIndex);
	virtual int  __fastcall DoMDNum(TTableView *Sender);

	virtual void __fastcall DoCellDraw(TStateBtn *sender, int BsTmp, TRect rtTmp, TCanvas *pCanvas);
	virtual int  __fastcall DoCellData(TStateBtn *sender);

public:

	vector<char*> *m_VcText;

	__fastcall TListViewText(TComponent* Owner);
	__fastcall ~TListViewText();
};
#endif

